<!-- Breadcrumb Start -->
<div class="container-m--x bredcrumb container-top" style="margin-top: -10px;">
    <div class="row px-4 f-14 lSpace" style="color: white;">
        <div class="col-md-5 d-flex">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span>
            <app-hint [id]="'app-store'"></app-hint>
            <span class="custom-breadcrumb cursor" (click)="goToEngineApps()">Intelligence Apps</span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span><span
                class="bluebar-title-overflow custom-breadcrumb">{{engine_title}}</span>
        </div>
        <div class="col-md-7 pr-0">
            <div class="float-right text-right d-flex">
                <!--  Data last updated -->
                <div class="mw-120" *ngIf="dash_info_list.length>0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(data_update_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-info-circle fa-lg"></i>
                        Data Last Updated
                    </button>
                </div>
                <!--  Data last updated -->
                <!--  Outline -->
                <div class="mw-120" *ngIf="flow_data?.length>0">
                    <app-hint [id]="'outline'"></app-hint>
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="outline_control()">
                        <i class="mr-1  custom-text-hover mw-25 las la-stream fa-lg"></i>
                        Outline
                    </button>
                </div>

            </div>
        </div>
    </div>
</div>
<!-- Breadcrumb End -->
<!-- outline- control -->
<div [ngClass]="outLineAnim">
    <outline-control [outline_control]="flow_data" [type]="'normal'"
                     [activeState]="activeState"
                     [parent_group_name]="parent_group_name"
                     [scroll_to_index]="scroll_to_index"
                     (observe_event)="callback_function($event);"
                     *ngIf="show_outline_control"></outline-control>
</div>
<div class="row static_container1 pl-4 pr-2  f-16 bottom-shadow" style="color: white;" [class]="scrollclass">
    <div class="col-md-auto">
        <div class="text-gray55 d-flex align-items-center engine_toggle_logo">
            <img (click)="toggle_sidenav();" alt="Jarvix" class=" ml-1 mr-3" src="../../assets/imgs/hxlogo/hx_logo.svg"
                 style="width:30px;height:30px">
            <div class="f-20 text-nowrap ">
                <span class="mr-2">{{engine_title}}</span>
            </div>
        </div>
    </div>
    <div class="col d-flex justify-content-end">
        <app-hint [id]="'input-outline'"></app-hint>
        <div *ngFor="let sti_data of sticky_data;" class="d-flex mr-2 px-2 sticky-field-border">
            <div>
                <span class="text-gray77 f-10">{{sti_data.label}}</span>
                <div class="text-gray33 f-14 engine-sticky-text" placement="bottom" [ngbPopover]="sti_data.pop"
                     triggers="mouseenter:mouseleave">{{sti_data.value}}</div>
            </div>
        </div>
        <div class="d-flex align-items-center">
            <button class="btn btn-primary align-items-center p-1 outline_btn"
                    (click)="outline_control()">
                <i class="las la-stream f-20" style="padding-left: 1px;"></i>
            </button>
        </div>

    </div>
</div>
<!-- Filter Section Start-->
<div class="container-m--x row one-row-data px-4 align-items-center product-affinity mb-5 hx-pro-px-1">
    <div class="col-md-3 col-lg-3 px-5 hx-pro-px-1">
        <div class="f-22 fw-500 WSF text-gray33">{{engine_title}}</div>
        <div class="font-weight-normal f-14 text-gray77 mt-2">
            {{engine_description}}
        </div>
    </div>
    <div class="col-md-4 col-lg-4">
        <div class="label font-weight-normal WSF text-gray33 mb-1 f-18">Inputs
            <!-- <span class="text-gray99 WSF font-weight-normal f-14  cursor test-reset" (click)="reset_filters();" >Reset</span> -->
        </div>
        <div class="btn-group">
            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow" *ngIf="callbacks?.length > 0">
                    <div class="float-left py-2 px-3  group-label mb-input-box  bg-white datePick">
                        <div class="d-flex">

                            <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                From Date</label>
                            <span style="cursor: pointer">
                                    <span (click)="fromdate.toggleCalendar()">
                                        <i class="las la-calendar fa-lg"></i>
                                    </span>
                                </span>
                        </div>
                        <div class="input-group ngx-data-ui tc-calendar">
                            <input
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                    placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate"
                                    ngx-mydatepicker
                                    #fromdate="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate"
                                    (click)="fromdate.toggleCalendar()"
                                    (dateChanged)="open_to_date()"
                                    (calendarToggle)="calendar_toggle($event, 'from')"
                                    style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box ml-2 bg-white datePick">
                        <div class="d-flex">

                            <label class="mb-0 label-style pl-0 text-gray77 f-12">
                                To Date</label>
                            <span style="cursor: pointer">
                                    <span (click)="todate.toggleCalendar()">
                                        <i class="las la-calendar fa-lg"></i>
                                    </span>
                                </span>
                        </div>
                        <div class="input-group ngx-data-ui tc-calendar">
                            <input
                                    class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14 pb-1"
                                    placeholder="choose a date" [options]="datePickerOptions_todate" name="dptodate"
                                    ngx-mydatepicker
                                    #todate="ngx-mydatepicker" [(ngModel)]="input_filters.todate"
                                    (click)="todate.toggleCalendar()"
                                    (dateChanged)="date_change($event, 'to')"
                                    (calendarToggle)="calendar_toggle($event, 'to')"
                                    style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- <div class="label mb-1 f-18 pt-2 d-flex align-items-center pt-4" style="width:450px;">
            <div class="font-weight-normal WSF text-gray33">Select Control Stores</div>

        </div>
        <div>

            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">State</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="control_state_list.length==0" class="custom-multiselect-top-dropdown"
                                [settings]="multiselect_settings" [texts]="multiselect_texts"
                                [options]="control_state_list"
                                (ngModelChange)="multiselect_controlstore_change($event, 'state')"
                                [(ngModel)]="input_filters.control_states">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">Region</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="control_region_list.length==0" class="custom-multiselect-top-dropdown"
                                [settings]="multiselect_settings" [texts]="multiselect_texts"
                                [options]="control_region_list"
                                (ngModelChange)="multiselect_controlstore_change($event, 'region')"
                                [(ngModel)]="input_filters.control_regions">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">Store <span style="color: red;">*</span></span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="control_store_list.length==0" class="custom-multiselect-top-dropdown"
                                [settings]="multiselect_settings" [texts]="multiselect_texts" [options]="control_store_list"
                                [(ngModel)]="input_filters.control_stores">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                </div>

            </div>
        </div> -->
        <!-- <div class="label mb-1 f-18 pt-4">
            <span class="font-weight-normal WSF text-gray33">Select Metrics</span>
        </div>
        <div>

            <div class="btn-group position-relative align-items-center Ffilter">
                <div class="filters-shadow">
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">Store Aggregation</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown class="custom-multiselect-top-dropdown"
                                [settings]="singleselect_settings" [texts]="multiselect_texts" [options]="aggregation_list"
                                [(ngModel)]="input_filters.aggregation">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">Metric</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown class="custom-multiselect-top-dropdown"
                                [settings]="singleselect_settings" [texts]="multiselect_texts" [options]="metric_list"
                                [(ngModel)]="input_filters.metric">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>

                </div>
            </div>
        </div> -->
    </div>
    <div class="col-md-5 col-lg-5">
        <div class="label mb-1 f-18   testcontrol-reset-text">
            <!-- <span class="font-weight-normal WSF text-gray33">Select Stores</span> -->
            <!-- <div class="f-14 blue-text float-right WSF font-weight-normal ml-auto cursor txtUnderline"  (click)="reset_filters();">Reset</div> -->
            <span class="fw-500 WSF f-14 show-all-input float-right pr-1 cursor pt-1 hx-pro-pr-55"
                  (click)="openDialog(engine_filters,{windowClass: 'engine-right modal-slide'})">Show All Inputs
                    <i class="fa fa-caret-right f-10 show-all-input"></i>
                </span>


        </div>
        <div>
            <!-- marketbasket filter -->
            <div class="btn-group position-relative align-items-center Ffilter ">
                <div class="filters-shadow">
                    <!-- <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">State</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="state_list.length==0" class="custom-multiselect-top-dropdown"
                                [settings]="multiselect_settings" [texts]="multiselect_texts"
                                [options]="state_list"
                                (ngModelChange)="multiselect_store_change($event, 'state')"
                                [(ngModel)]="input_filters.states">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                            <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                placement="bottom">
                            </span>
                            <span class="text-gray77">Region</span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="region_list.length==0" class="custom-multiselect-top-dropdown"
                                [settings]="multiselect_settings" [texts]="multiselect_texts"
                                [options]="region_list"
                                (ngModelChange)="multiselect_store_change($event, 'region')"
                                [(ngModel)]="input_filters.regions">
                            </ss-multiselect-dropdown>
                            <div><i class="las la-angle-down pl-1"></i></div>
                        </div>
                    </div> -->

                    <div class="float-left py-2 px-3  group-label mb-input-box block-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                                <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                      placement="bottom">
                                </span>
                            <span class="text-gray77">Test Store <span style="color: red;">*</span></span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="store_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="multiselect_settings"
                                                     [texts]="multiselect_texts_select" [options]="store_list"
                                                     [(ngModel)]="input_filters.stores">
                            </ss-multiselect-dropdown>
                            <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label mb-input-box block-input-box close-block filterBorder bg-white datePick">
                        <label class="mb-0 label-style pl-0 text-left f-12">
                                <span class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                                      placement="bottom">
                                </span>
                            <span class="text-gray77">Control Store <span style="color: red;">*</span></span>
                        </label>
                        <div class="d-flex">
                            <ss-multiselect-dropdown [disabled]="bm_store_list.length==0"
                                                     class="custom-multiselect-top-dropdown"
                                                     [settings]="multiselect_settings"
                                                     [texts]="multiselect_texts_select" [options]="bm_store_list"
                                                     [(ngModel)]="input_filters.bm_stores">
                            </ss-multiselect-dropdown>
                            <!-- <div><i class="las la-angle-down pl-1"></i></div> -->
                        </div>
                    </div>
                </div>

                <div class="btnRun btnBottom">
                    <button class="btn btn-primary f-18 WSF run-btn" (click)="apply_filters();">Run Analysis</button>
                </div>
            </div>
        </div>
    </div>

    <!-- <div class="row">
        <div class="col-md-6"></div>
        <div class="col-md-4">
            <div class="label mb-2 f-18 pt-2">
                <span class="f-14 blue-text  WSF font-weight-normal ">Show Optional Inputs</span><i
                    class="fas fa-sort-down blue-text f-12 ml-1"></i>
            </div>
        </div>
    </div> -->
</div>

<!-- Filter Section Ends -->
<div class="row" *ngIf="flow_data.length>0">
    <div class="col-md-12" style="padding-left: 70px;">
        <div class="ml-1 mb-3 d-flex align-items-center">
            <label class="view-text cursor" [ngClass]="{'active' : view_filter.current_view == '$'}"
                   (click)="view_filter.current_view =  '$';onViewTypeChange()">
                <div class="view-text cursor mr-5" [ngClass]="{'active' : view_filter.current_view == '$'}"
                     (click)="view_filter.current_view =  '$';onViewTypeChange()">Dimension View
                </div>
            </label>
            <label class="view-text cursor" [ngClass]="{'active' :view_filter.current_view == '%'}"
                   (click)="view_filter.current_view =  '%';onViewTypeChange()">
                <div class="view-text cursor" [ngClass]="{'active' :view_filter.current_view == '%'}"
                     (click)="view_filter.current_view =  '%';onViewTypeChange()">Percentage View
                </div>
            </label>
        </div>
    </div>
</div>
<div class="row" *ngIf="flow_data.length>0">
    <div class="col-md-12" style="padding-left: 70px;">
        <div class="ml-1 mb-2" style="display: flex;">
            <label class="custom-control custom-radio mb-0">
                <!-- <label for="form-label">Confidence Level</label> -->
                <input type="radio" id="defaultRadio1" name="confidence_per" class="custom-control-input"
                       [(ngModel)]="view_filter.confidence_per" [value]="80" (change)="onViewTypeChange()">
                <div class="custom-control-label text-gray55 WSF font-weight-normal f-16" for="defaultRadio1">80%
                    Confidence
                </div>
            </label>
            <label class="ml-5 custom-control custom-radio mb-0">
                <input type="radio" id="defaultRadio2" name="confidence_per" class="custom-control-input"
                       [(ngModel)]="view_filter.confidence_per" [value]="95" (change)="onViewTypeChange()">
                <div class="custom-control-label text-gray55 WSF font-weight-normal f-16" for="defaultRadio2">95%
                    Confidence
                </div>
            </label>
        </div>
    </div>
</div>
<!-- Testcontrols Cards Start -->
<div style="display: flex;flex-direction: column" *ngFor="let flow_child of flow_data;index as i">
    <div style="flex-direction: row;">
        <div class="w-100 flow-child-group">
            <div id="button_{{flow_child.object_id}}">
                <flow-testcontrols [position]="i" [totalPosition]="total_position" [length]="{}"
                                   [flow_child]="flow_child"
                                   (active_state)="active_state($event)"
                                   (flowchild_event)="flowchild_callback($event);"
                                   [hidden]="false" [page_type]="page_type"></flow-testcontrols>
            </div>
        </div>
    </div>
</div>
<!-- Testcontrols Cards End -->
<div *blockUI="'global-loader'; template: blockTemplate"></div>
<ng-template #blockTemplate>
    <engine-loader [loaderArr]="loaderService.loaderArr"
                   *ngIf="loaderService.loaderArr && loaderService.loaderArr.length>0"></engine-loader>
    <div class="block-ui-template" *ngIf="!(loaderService.loaderArr.length>0)">
        <div class="app-splash-screen ">
            <div class="new-app-splash-screen-content text-center">
                <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
            </div>
            <div class="loading-text-material pt-5 mt-4">
                <p class="text-center text-white" style="white-space: pre;">{{loadingText}} </p>
            </div>
        </div>
    </div>
</ng-template>

<div class="end-div"></div>
<ng-template #data_update_modal let-c="close" let-d="dismiss">
    <data-last-updated [dash_info_list]="dash_info_list" (data_event)="closeDialog();"></data-last-updated>
</ng-template>

<!-- Modal template -->
<!-- <ng-template #testslideModal let-c="close" let-d="dismiss" >
    <div class="modal-body rightsidebar-body">
        <div class="row py-4">
            <div class="col-md-12">
                <div class="cursor" (click)="c('Close click')">
                    <i class="las la-angle-left pr-1 f-18 text-gray55"></i>
                    <span class="f-22 font-weight-normal WSF text-gray55">Inputs</span>
                </div>
            </div>
        </div>
        <div style="height: calc(100vh - 140px);overflow-y: auto;overflow-x: hidden;">
          <div class="row mb-4">
              <div class="col-md-12">
                  <div class="right-title">Select Time Window</div>
                  <div><hr class="right-hr"></div>
              </div>
              <div class="col-md-12 mt-1">
                  <div class="float-left py-2 px-2  group-label right-input-box  datePick">
                     
                      <div class="input-group ngx-data-ui er-calendar align-items-center">
                          <input
                              class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14"
                              placeholder="choose a date" [options]="datePickerOptionsfrom" name="dpfromdate1" ngx-mydatepicker
                              #fromdate1="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate" (click)="fromdate1.toggleCalendar()"
                              (calendarToggle)="calendar_toggle($event, 'from')"
                              style="min-height:20px !important;max-height:20px !important;">
                              <div style="cursor: pointer">
                                  <span (click)="fromdate1.toggleCalendar()">
                                      <i class="las la-calendar fa-lg"></i>
                                  </span>
                              </div>
                      </div>
                  </div>
                  <div class="float-left py-2 px-2  group-label right-input-box  datePick">
                    
                      <div class="input-group ngx-data-ui er-calendar-to align-items-center">
                          <input
                              class="form-control p-0 bg-transparent text_default input-box-style border-0 text-left  WSF cursor f-14"
                              placeholder="choose a date" [options]="datePickerOptions" name="dptodate1" ngx-mydatepicker
                              #todate1="ngx-mydatepicker" [(ngModel)]="input_filters.fromdate" (click)="todate1.toggleCalendar()"
                              (calendarToggle)="calendar_toggle($event, 'to')"
                              style="min-height:20px !important;max-height:20px !important;">
                              <div style="cursor: pointer">
                                  <span (click)="todate1.toggleCalendar()">
                                      <i class="las la-calendar fa-lg"></i>
                                  </span>
                              </div>
                      </div>
                  </div>
              </div>
            </div>
            <div class="row mb-3">
              <div class="col-md-12">
                  <div class="right-title">Select Test Stores</div>
                  <div><hr class="right-hr"></div>
              </div>
              <div class="col-md-12 mb-3 mt-2">
                  <div class="right-lable">State</div>
                  <ss-multiselect-dropdown class="right-multidropdown">
                                  </ss-multiselect-dropdown>
              </div>
              <div class="col-md-12 mb-3 mt-2">
                  <div class="right-lable">Region</div>
                  <ss-multiselect-dropdown class="right-multidropdown">
                                  </ss-multiselect-dropdown>
              </div>
              <div class="col-md-12 mb-3 mt-2">
                  <div class="right-lable">Store</div>
                  <ss-multiselect-dropdown class="right-multidropdown">
                                  </ss-multiselect-dropdown>
              </div>
         
            </div>
            <div class="row mb-3">
                <div class="col-md-12">
                    <div class="right-title">Select Metrics</div>
                    <div><hr class="right-hr"></div>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="right-lable">Store Aggregation</div>
                    <ss-multiselect-dropdown class="right-multidropdown">
                                    </ss-multiselect-dropdown>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="right-lable">Metric</div>
                    <ss-multiselect-dropdown class="right-multidropdown">
                                    </ss-multiselect-dropdown>
                </div>
              </div>
            <div class="row mb-3">
                <div class="col-md-12">
                    <div class="right-title">Select Control Stores</div>
                    <div><hr class="right-hr"></div>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="right-lable">State</div>
                    <ss-multiselect-dropdown class="right-multidropdown">
                                    </ss-multiselect-dropdown>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="right-lable">Region</div>
                    <ss-multiselect-dropdown class="right-multidropdown">
                                    </ss-multiselect-dropdown>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="right-lable">Store</div>
                    <ss-multiselect-dropdown class="right-multidropdown">
                                    </ss-multiselect-dropdown>
                </div>
                <div class="col-md-12 mb-3 mt-2">
                    <div class="mr-1">
                      
                        <label class="switcher">
                            <input class="switcher-input" type="checkbox">
                            <span class="price-indicator switcher-indicator">
                              <span class="switcher-yes"></span>
                              <span class="switcher-no"></span>
                            </span>
                        </label>
                        <span class="right-lable">Some Option</span>
                    </div>
                </div>
              </div>
      </div>
      <div class="right-bottombtn">
          <button type="button" class="btn btn-primary er-runbtn m-3"style="margin-top: 15px !important;" (click)="apply_filters();">Run Analysis</button>
      </div>
     
      
    </div>
  </ng-template> -->
<ng-template #engine_filters let-c="close" let-d="dismiss">
    <engine-filters (engine_filter_event)="engine_filter_callback($event);" [filter_inputs]="{
                      brand_list: brand_list,
                      zone_list: zone_list,
                      state_list:state_list,
                      region_list:region_list,
                      store_type_list:store_type_list,
                      city_list:city_list,
                      store_list:store_list,

                      aggregation_list:aggregation_list,
                      metric_list:metric_list,
                      product_categories_list:product_categories_list,
                      product_list:product_list,

                      bm_brand_list: bm_brand_list,
                      bm_zone_list: bm_zone_list,
                      bm_state_list:bm_state_list,
                      bm_region_list:bm_region_list,
                      bm_store_type_list:bm_store_type_list,
                      bm_city_list:bm_city_list,
                      bm_store_list:bm_store_list,

                      input_filters:input_filters,
                      multiselect_settings:multiselect_settings,
                      engine_inputs: engine_inputs_data.test_control,
                      multiselect_texts_select: multiselect_texts,
                      multiselect_texts: multiselect_texts,
                      singleselect_settings: singleselect_settings}"></engine-filters>
</ng-template>
